## golang-github-planetscale-vtprotobuf 0.6.0

=== debian/changelog ===
golang-github-planetscale-vtprotobuf (0.6.0-1) unstable; urgency=medium

  [ Andrew Lee (李健秋) ]
  * Initial release. (Closes: 1126021)

  [ Nicolas Peugnet ]
  * Create a binary package for protoc-gen-go-vtproto.
  * Add missing copyright statements and licenses
  * Put -dev package in golang section as recommended by lintian
  * Add myself to uploaders and run wrap-and-sort
  * Update changelog for release 0.6.0-1

  [ Andrew Lee (李健秋) ]
  * Releasing debian version 0.6.0-1.

 -- Nicolas Peugnet <nicolas@club1.fr>  Tue, 10 Feb 2026 14:34:50 +0100
