=== debian/control ===
Source: golang-github-planetscale-vtprotobuf
Section: golang
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Andrew Lee (李健秋) <ajqlee@debian.org>,
           Nicolas Peugnet <nicolas@club1.fr>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               dpkg-build-api (= 1),
               golang-any,
               golang-github-stretchr-testify-dev,
               golang-google-grpc-dev,
               golang-google-protobuf-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-planetscale-vtprotobuf
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-planetscale-vtprotobuf.git
Homepage: https://github.com/planetscale/vtprotobuf
XS-Go-Import-Path: github.com/planetscale/vtprotobuf

Package: golang-github-planetscale-vtprotobuf-dev
Architecture: all
Depends: golang-google-protobuf-dev,
         ${misc:Depends},
Description: optimized Protocol Buffer support library for Go (library)
 This library provides the runtime support and interfaces required by
 code generated with the vtprotobuf compiler plugin. It contains the
 definitions for optimized interfaces that bypass the standard Go
 protobuf reflection layer to achieve higher performance and lower
 garbage collection pressure.
 .
 The module includes helpers for memory allocation pooling and efficient
 byte slice handling. It is intended for developers who need to build
 Go applications that process large volumes of protobuf-encoded data
 with minimal latency. This package contains the source code needed
 to compile programs that depend on the PlanetScale vtprotobuf runtime.

Package: protoc-gen-go-vtproto
Architecture: any
Depends: libprotobuf-dev,
         protobuf-compiler,
         protoc-gen-go,
         ${misc:Depends},
         ${shlibs:Depends},
Static-Built-Using: ${misc:Static-Built-Using}
Description: Vitess Protocol Buffers compiler (APIv2)
 This package provides the protoc-gen-go-vtproto plug-in for protoc, which
 is used by Vitess to generate optimized marshall & unmarshal Go code.
 .
 vtprotobuf is implemented as a helper plug-in that must be run alongside
 the upstream protoc-gen-go generator, as it generates fully-compatible
 auxiliary code to speed up (de)serialization of Protocol Buffer messages.
 .
 The code generated by this compiler is based on the optimized code
 generated by gogo/protobuf, although this package is not a fork of the
 original gogo compiler, as it has been implemented to support the new
 ProtoBuf APIv2 packages.
 .
 For APIv2, see https://go.dev/blog/protobuf-apiv2.
