=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=debian/_build --buildsystem=golang

override_dh_auto_test:
	dh_auto_test -- -short
